
Name:           perl-ExtUtils-MakeMaker
Version:        6.98
Release:        1%{?org_tag}%{?dist}
Summary:        Create a module Makefile
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/ExtUtils-MakeMaker/
Source0:        http://www.cpan.org/authors/id/M/MS/MSCHWERN/ExtUtils-MakeMaker-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.006
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This utility is designed to write a Makefile for an extension module from a
Makefile.PL. It is based on the Makefile.SH model provided by Andy
Dougherty and the perl5-porters.

%if %{rhel} < 6
WARNING: the instmodsh utility for this package conflicts with the old one
included in the base perl module, and cannot be updated via yum. The new one
is instead available as 'instmodsh-%{version}'.

%endif

%prep
%setup -q -n ExtUtils-MakeMaker-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor BUILDING_AS_PACKAGE=1
make %{?_smp_mflags}

# t/basic.t fails an obsolete Test::YAML::Meta test
perl -i -pe 's/Test::YAML::Meta/Test::CPAN::Meta::YAML/g' t/basic.t

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

# Remove bundled dependencies we don't want to package
rm -rf %{buildroot}%{perl_vendorlib}/ExtUtils/Manifest.pm
rm -rf %{buildroot}%{perl_vendorlib}/CPAN
rm -rf %{buildroot}%{perl_vendorlib}/File
rm -rf %{buildroot}%{perl_vendorlib}/JSON
rm -rf %{buildroot}%{perl_vendorlib}/Parse
rm -rf %{buildroot}%{_mandir}/man3/ExtUtils::Manifest*
rm -rf %{buildroot}%{_mandir}/man3/CPAN*
rm -rf %{buildroot}%{_mandir}/man3/File*
rm -rf %{buildroot}%{_mandir}/man3/JSON*
rm -rf %{buildroot}%{_mandir}/man3/Parse*

# On RHEL/CentOS5, at least, install seems to include MANIFEST* files
rm -f %{buildroot}%{perl_vendorlib}/ExtUtils/MANIFEST*

# On RHEL/CentOS5 the man pages conflict with those in the main perl package :-/
%if %{rhel} < 6
mv %{buildroot}%{_bindir}/instmodsh %{buildroot}%{_bindir}/instmodsh-%{version}
# TODO: would be nice to rename all the man pages instead of deleting
rm -rf %{buildroot}%{_mandir}
%endif

%check
# FIXME: t/basic.t is failing - does everything else work?
#rm -f t/basic.t
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes NOTES PATCHING README TODO
%{perl_vendorlib}/*
%{_bindir}/*
%if %{rhel} >= 6
%{_mandir}/man1/*
%{_mandir}/man3/*
%endif

%changelog
* Tue Jul 22 2014 Gavin Carr <gavin@openfusion.com.au> 6.98-1
- Update to version 6.98.

* Tue Mar 11 2014 Gavin Carr <gavin@openfusion.com.au> 6.90-1
- Update to version 6.90.

* Sun Mar 04 2012 Gavin Carr <gavin@openfusion.com.au> 6.62-1
- Update to version 6.62.

* Fri Feb 04 2011 Gavin Carr <gavin@openfusion.com.au> 6.56-1
- Specfile autogenerated by cpanspec 1.78.

